## IdeProjectEdit IdeProjectEdit |

## Functions

IdeProjectEdit * | ide_project_edit_new ()
IdeSourceRange * | ide_project_edit_get_range ()
void | ide_project_edit_set_range ()
const gchar * | ide_project_edit_get_replacement ()
void | ide_project_edit_set_replacement ()

## Properties

IdeSourceRange * | range | Read / Write
gchar * | replacement | Read / Write

## Types and Values

#define | IDE_TYPE_PROJECT_EDIT
struct | IdeProjectEditClass
| IdeProjectEdit

## Object Hierarchy

        GObject
        ╰── IdeProjectEdit

## Description

## Functions

### ide_project_edit_new ()

    IdeProjectEdit *
    ide_project_edit_new (void);

### ide_project_edit_get_range ()

    IdeSourceRange *
    ide_project_edit_get_range (IdeProjectEdit *self);

Returns the range for the edit.

#### Returns

An IdeSourceRange.

[nullable][transfer none]

### ide_project_edit_set_range ()

    void
    ide_project_edit_set_range (IdeProjectEdit *self,
                                IdeSourceRange *range);

### ide_project_edit_get_replacement ()

    const gchar *
    ide_project_edit_get_replacement (IdeProjectEdit *self);

### ide_project_edit_set_replacement ()

    void
    ide_project_edit_set_replacement (IdeProjectEdit *self,
                                      const gchar *replacement);

## Types and Values

### IDE_TYPE_PROJECT_EDIT

    #define IDE_TYPE_PROJECT_EDIT (ide_project_edit_get_type())

### struct IdeProjectEditClass

    struct IdeProjectEditClass {
      GObjectClass parent_instance;
    };

### IdeProjectEdit

    typedef struct _IdeProjectEdit IdeProjectEdit;

## Property Details

### The `“range”` property

      “range”                    IdeSourceRange *

The range of the source to replace.

Flags: Read / Write

### The `“replacement”` property

      “replacement”              gchar *

The replacement text to be applied.

Flags: Read / Write

Default value: NULL